#ifndef link__h
#define link__h

int init_link_vars();
extern int ENABLE_USER_INTERFACE;
extern int DISPLAY_SPELLING_MISTAKES;
extern double ZONING_SCALE_FACTOR;
extern double SCALE_FACTOR;
extern int NoiseTolerance;     // Minimum number of pixels in row of text 
extern int MinLineSize;        // Minimum number of rows in a line of text
extern int MinVertSeparation;  // Minimum number of rows between lines of tex
extern int MinHorizSeparation; // Minimum number of blank pixels btween chars
extern int ConfidenceThreshold;// Minimum confidence for some operations
extern int JoinTolerance;     // Maximum number of pixels in a column
                                      // joining two fused characters

extern double MaxHWRatio;      // Max H/W ratio of learned set
extern int MinWidth;            // minimum component width in learned set



// The next three are used in character grouping
extern unsigned int NumCharGroups;
extern int MaxVertSize;        // Max vert pixels in char (used for baseline)
extern int BaseLineTolerance;  // How far from baseline is okay 1/%linesize
extern int TopLineTolerance;   // How far from topline is okay 1/%linesize

/* Constants for the number of horizontal and vertical divisions 
   for determining the gray scale property vector for each component */

extern int NumHorizDiv;        //Number of horizontal divisions
extern int NumVertDiv;         //Number of vertical divisions

#endif














